<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>ubi01</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<div id="header">
<h1 class="title">ubi01</h1>
</div>
<p>Essais de domotique.</p>
<p>L'objectif est de commander à distance une lampe du salon.<br />
Puis une deuxième.<br />
Puis de vérifier, toujours à distance, l'état (allumé/éteint) de la lampe.<br />
Puis de vérifier l'intégrité de la lampe.</p>
<p>Nous avons décomposé cela en trois solutions techniques :</p>
<ul>
<li>Solution 1, &quot;low-tech&quot;. Plus exactement &quot;avec les moyens du bord&quot;.<br />
Un relais, commandé par une sortie d'un PC, lui même connectable à distance par SSH.</li>
<li>Solution 2, &quot;Arduino&quot;. On remplace le PC par un Arduino qui embarque un serveur web (plus de SSH).</li>
<li>Solution 3, &quot;sans fil&quot;.</li>
</ul>
<p>Pour la solution 1, <a href="./Notes.html">les notes</a> sont disponibles.</p>
<p>Pour la solution 2, <a href="./arduino.html">les notes</a> le sont aussi.</p>
<p>Le <a href="https://framagit.org/baptiste.j/ubi01">dépôt des sources</a> est sur framagit.</p>
<h3 id="section">2018/01/10</h3>
<p>La solution particle.io me déplaît à cause de https://docs.particle.io/guide/tools-and-features/dev/ :</p>
<pre><code>Particle Dev is a desktop application that allows you to work with
local copies of your firmware files. However, internet access is
required as the files are pushed to the Particle Cloud for compilation
and returns a binary. i.e. This is not an offline development tool, yet.</code></pre>
</body>
</html>
